Package org.opensaml.soap.wstrust.impl

# Class ClaimsUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.soap.wstrust.impl.AbstractWSTrustObjectUnmarshaller
org.opensaml.soap.wstrust.impl.ClaimsUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class ClaimsUnmarshaller extends AbstractWSTrustObjectUnmarshaller
Unmarshaller for the wst:Claims element.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`ClaimsUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject xmlObject, Attr attribute)`
Called after an attribute has been unmarshalled so that it can be added to the XMLObject.
`protected void`
`processChildElement(XMLObject parentXMLObject, XMLObject childXMLObject)`
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject.

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClaimsUnmarshaller

public ClaimsUnmarshaller()

## Method Details

### processAttribute

protected void processAttribute(@Nonnull XMLObject xmlObject, @Nonnull Attr attribute) throws UnmarshallingException
Called after an attribute has been unmarshalled so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processAttribute` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `xmlObject` - the XMLObject
  `attribute` - the attribute
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the attribute to the XMLObject

### processChildElement

protected void processChildElement(@Nonnull XMLObject parentXMLObject, @Nonnull XMLObject childXMLObject) throws UnmarshallingException
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject. The default implementation of this method is a no-op.

Overrides:
  `processChildElement` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `parentXMLObject` - the parent XMLObject
  `childXMLObject` - the child XMLObject
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the child to the parent